Index: tester/rt/test.py
===================================================================
--- tester/rt/test.py	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rt/test.py	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -200,5 +200,5 @@
 
 def load_configuration(bsp, opts):
-    mandatory = ['tester', 'arch']
+    mandatory = ['bsp', 'arch', 'tester']
     cfg = configuration.configuration()
     path_ = opts.defaults.expand('%%{_configdir}/bsps/%s.ini' % (bsp))
@@ -216,5 +216,4 @@
             for i in cfg.get_items(bsp, flatten = False):
                 opts.defaults[i[0]] = i[1]
-            opts.defaults['bsp'] = bsp
             if not opts.defaults.set_read_map(bsp):
                 raise error.general('cannot set BSP read map: %s' % (bsp))
@@ -242,5 +241,5 @@
                                 raise error.general('user value missing, BSP %s requires: %s' % \
                                                     (bsp, ', '.join(requires)))
-            return
+            return opts.defaults['bsp']
     raise error.general('cannot find bsp configuration file: %s.ini' % (bsp))
 
@@ -320,6 +319,5 @@
         if bsp is None or len(bsp) != 2:
             raise error.general('RTEMS BSP not provided or an invalid option')
-        bsp = bsp[1]
-        load_configuration(bsp, opts)
+        bsp = load_configuration(bsp[1], opts)
         bsp_config = opts.defaults.expand(opts.defaults['tester'])
         report_mode = opts.find_arg('--report-mode')
Index: tester/rtems/testing/bsps/arm1136jfs-run.ini
===================================================================
--- tester/rtems/testing/bsps/arm1136jfs-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/arm1136jfs-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The arm1136jfs BSP
 #
-[arm1136jfs]
+[arm1136jfs-run]
+bsp          = arm1136jfs
+arch         = arm
 tester       = %{_rtscripts}/run.cfg
-arch         = arm
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/arm1136jfs.ini
===================================================================
--- tester/rtems/testing/bsps/arm1136jfs.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/arm1136jfs.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [arm1136jfs]
+bsp            = arm1136jfs
+arch           = arm
 tester         = %{_rtscripts}/gdb.cfg
-arch           = arm
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/arm1136js-run.ini
===================================================================
--- tester/rtems/testing/bsps/arm1136js-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/arm1136js-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The arm1136js BSP
 #
-[arm1136js]
+[arm1136js-run]
+bsp          = arm1136js
+arch         = arm
 tester       = %{_rtscripts}/run.cfg
-arch         = arm
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/arm1136js.ini
===================================================================
--- tester/rtems/testing/bsps/arm1136js.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/arm1136js.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [arm1136js]
+bsp            = arm1136js
+arch           = arm
 arm1136js      = %{_rtscripts}/gdb.cfg
-arch           = arm
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/arm7tdmi-run.ini
===================================================================
--- tester/rtems/testing/bsps/arm7tdmi-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/arm7tdmi-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The arm7tdmi BSP
 #
-[arm7tdmi]
+[arm7tdmi-run]
+bsp          = arm7tdmi
+arch         = arm
 tester       = %{_rtscripts}/run.cfg
-arch         = arm
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/arm7tdmi.ini
===================================================================
--- tester/rtems/testing/bsps/arm7tdmi.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/arm7tdmi.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [arm7tdmi]
+bsp            = arm7tdmi
+arch           = arm
 tester         = %{_rtscripts}/gdb.cfg
-arch           = arm
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/arm920-run.ini
===================================================================
--- tester/rtems/testing/bsps/arm920-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/arm920-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The arm920 BSP
 #
-[arm920]
+[arm920-run]
+bsp          = arm920
+arch         = arm
 tester       = %{_rtscripts}/run.cfg
-arch         = arm
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/arm920.ini
===================================================================
--- tester/rtems/testing/bsps/arm920.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/arm920.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [arm920]
+bsp            = arm920
+arch           = arm
 tester         = %{_rtscripts}/gdb.cfg
-arch           = arm
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/armcortexa9-run.ini
===================================================================
--- tester/rtems/testing/bsps/armcortexa9-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/armcortexa9-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The armcortexa9 BSP
 #
-[armcortexa9]
+[armcortexa9-run]
+bsp          = armcortexa9
+arch         = arm
 tester       = %{_rtscripts}/run.cfg
-arch         = arm
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/armcortexa9.ini
===================================================================
--- tester/rtems/testing/bsps/armcortexa9.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/armcortexa9.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [armcortexa9]
+bsp            = armcortexa9
+arch           = arm
 tester         = %{_rtscripts}/gdb.cfg
-arch           = arm
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/beagleboardxm.ini
===================================================================
--- tester/rtems/testing/bsps/beagleboardxm.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/beagleboardxm.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -35,7 +35,8 @@
 #
 [beagleboardxm]
+bsp        = beagleboardxm
+arch       = arm
 jobs       = 1
 tester     = %{_rtscripts}/gdb.cfg
-arch       = arm
 gdb_script = bsp_gdb_script
 requires   = bsp_tty_dev, bsp_gdb_script
Index: tester/rtems/testing/bsps/beagleboneblack.ini
===================================================================
--- tester/rtems/testing/bsps/beagleboneblack.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/beagleboneblack.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -34,7 +34,8 @@
 #
 [beagleboneblack]
+bsp                = beagleboneblack
+arch               = arm
 jobs               = 1
 tester             = %{_rtscripts}/tftp.cfg
-arch               = arm
 test_restarts      = 3
 target_reset_regex = ^No ethernet found.*|BOOTP broadcast 6.*|^ERROR: can.t get kernel image
Index: tester/rtems/testing/bsps/bf537Stamp-run.ini
===================================================================
--- tester/rtems/testing/bsps/bf537Stamp-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/bf537Stamp-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The bf537Stamp BSP
 #
-[bf537Stamp]
+[bf537Stamp-run]
+bsp          = bf537Stamp
+arch         = bfin
 tester       = %{_rtscripts}/run.cfg
-arch         = bfin
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = --env operating --model bf537
Index: tester/rtems/testing/bsps/bf537Stamp.ini
===================================================================
--- tester/rtems/testing/bsps/bf537Stamp.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/bf537Stamp.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [bf537Stamp]
+bsp            = bf537Stamp
+arch           = bfin
 tester         = %{_rtscripts}/gdb.cfg
-arch           = bfin
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim --env operating --model bf537
Index: tester/rtems/testing/bsps/erc32-run.ini
===================================================================
--- tester/rtems/testing/bsps/erc32-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/erc32-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,6 +32,7 @@
 # The erc32 BSP
 #
-[erc32]
+[erc32-run]
+bsp          = erc32
+arch         = sparc
 tester       = %{_rtscripts}/run.cfg
-arch         = sparc
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
Index: tester/rtems/testing/bsps/erc32-sis.ini
===================================================================
--- tester/rtems/testing/bsps/erc32-sis.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/erc32-sis.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The erc32 BSP
 #
-[erc32]
+[erc32-sis]
+bsp          = erc32
+arch         = sparc
 tester       = %{_rtscripts}/run.cfg
-arch         = sparc
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-sis
 bsp_run_opts = -nouartrx -r -tlim 600 s
Index: tester/rtems/testing/bsps/erc32.ini
===================================================================
--- tester/rtems/testing/bsps/erc32.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/erc32.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [erc32]
+bsp            = erc32
+arch           = sparc
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sparc
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/generic_or1k.ini
===================================================================
--- tester/rtems/testing/bsps/generic_or1k.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/generic_or1k.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,5 +33,6 @@
 #
 [generic_or1k]
+bsp           = generic_or1k
+arch          = or32
 tester        = %{_rtscripts}/qemu.cfg
-arch          = or32
 bsp_qemu_opts = %{qemu_opts_base} %{qemu_opts_no_net} -m 32M
Index: tester/rtems/testing/bsps/h8sxsim-run.ini
===================================================================
--- tester/rtems/testing/bsps/h8sxsim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/h8sxsim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The h8sxsim BSP
 #
-[h8sxsim]
+[h8sxsim-run]
+bsp          = h8sxsim
+arch         = h8300
 tester       = %{_rtscripts}/run.cfg
-arch         = h8300
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/h8sxsim.ini
===================================================================
--- tester/rtems/testing/bsps/h8sxsim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/h8sxsim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [h8sxsim]
+bsp            = h8sxsim
+arch           = h8300
 tester         = %{_rtscripts}/gdb.cfg
-arch           = h8300
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/jmr3904-run.ini
===================================================================
--- tester/rtems/testing/bsps/jmr3904-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/jmr3904-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The JMR3904 BSP
 #
-[jmr3904]
+[jmr3904-run]
+bsp          = jmr3904
+arch         = mipstx39
 tester       = %{_rtscripts}/run.cfg
-arch         = mipstx39
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = --board=jmr3904
Index: tester/rtems/testing/bsps/jmr3904.ini
===================================================================
--- tester/rtems/testing/bsps/jmr3904.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/jmr3904.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [jmr3904]
+bsp            = jmr3904
+arch           = mipstx39
 tester         = %{_rtscripts}/gdb.cfg
-arch           = mipstx39
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim --board=jmr3904
Index: tester/rtems/testing/bsps/leon2-run.ini
===================================================================
--- tester/rtems/testing/bsps/leon2-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/leon2-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The leon2 BSP
 #
-[leon2]
+[leon2-run]
+bsp          = leon2
+arch         = sparc
 tester       = %{_rtscripts}/run.cfg
-arch         = sparc
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-sis
 bsp_run_opts = -leon2
Index: tester/rtems/testing/bsps/leon2-sis.ini
===================================================================
--- tester/rtems/testing/bsps/leon2-sis.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/leon2-sis.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The leon2 BSP
 #
-[leon2]
+[leon2-sis]
+bsp          = leon2
+arch         = sparc
 tester       = %{_rtscripts}/run.cfg
-arch         = sparc
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-sis
 bsp_run_opts = -leon2 -nouartrx -r -tlim 200 s
Index: tester/rtems/testing/bsps/leon2.ini
===================================================================
--- tester/rtems/testing/bsps/leon2.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/leon2.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [leon2]
+bsp            = leon2
+arch           = sparc
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sparc
 gdb_script     = leon2_gdb_script
 bsp_gdb_script = target sim -leon2
Index: tester/rtems/testing/bsps/leon3-run.ini
===================================================================
--- tester/rtems/testing/bsps/leon3-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/leon3-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The leon3 BSP
 #
-[leon3]
+[leon3-run]
+bsp          = leon3
+arch         = sparc
 tester       = %{_rtscripts}/run.cfg
-arch         = sparc
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-sis
 bsp_run_opts = -leon3
Index: tester/rtems/testing/bsps/leon3-sis.ini
===================================================================
--- tester/rtems/testing/bsps/leon3-sis.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/leon3-sis.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The leon3 BSP
 #
-[leon3]
+[leon3-sis]
+bsp          = leon3
+arch         = sparc
 tester       = %{_rtscripts}/run.cfg
-arch         = sparc
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-sis
 bsp_run_opts = -leon3 -nouartrx -r -tlim 200 s
Index: tester/rtems/testing/bsps/leon3.ini
===================================================================
--- tester/rtems/testing/bsps/leon3.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/leon3.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [leon3]
+bsp            = leon3
+arch           = sparc
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sparc
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim -leon3
Index: tester/rtems/testing/bsps/leon3_tsim-run.ini
===================================================================
--- tester/rtems/testing/bsps/leon3_tsim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/leon3_tsim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,7 +33,8 @@
 #
 #
-[tsim_leon3]
+[leon3_tsim-run]
+bsp          = leon3
+arch         = sparc
 tester       = %{_rtscripts}/run.cfg
-arch         = sparc
 bsp_run_cmd  = tsim-leon3
 bsp_run_opts = -c %{_rtscripts}/bsps/leon3-tsim-cmds
Index: tester/rtems/testing/bsps/leon3_tsim.ini
===================================================================
--- tester/rtems/testing/bsps/leon3_tsim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/leon3_tsim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [leon3_tsim]
+bsp            = leon3
+arch           = sparc
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sparc
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target remote :1234
Index: tester/rtems/testing/bsps/lm32_evr_gdbsim-run.ini
===================================================================
--- tester/rtems/testing/bsps/lm32_evr_gdbsim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/lm32_evr_gdbsim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The lm32_evr_gdbsim BSP
 #
-[lm32_evr_gdbsim]
+[lm32_evr_gdbsim-run]
+bsp          = lm32_evr_gdbsim
+arch         = lm32
 tester       = %{_rtscripts}/run.cfg
-arch         = lm32
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = --hw-file %{_rtscripts}/bsps/lm32_evr_gdbsim-device-tree --memory-region 0x08000000,0x4000000
Index: tester/rtems/testing/bsps/lm32_evr_gdbsim.ini
===================================================================
--- tester/rtems/testing/bsps/lm32_evr_gdbsim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/lm32_evr_gdbsim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [lm32_evr_gdbsim]
+bsp            = lm32_evr_gdbsim
+arch           = lm32
 tester         = %{_rtscripts}/gdb.cfg
-arch           = lm32
 gdb_script     = bdp_gdb_script
 bsp_gdb_script = tar sim --hw-file %{_rtscripts}/bsps/lm32_evr_gdbsim-device-tree --memory-region 0x08000000,0x4000000
Index: tester/rtems/testing/bsps/m32csim-run.ini
===================================================================
--- tester/rtems/testing/bsps/m32csim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/m32csim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The m32csim BSP
 #
-[m32csim]
+[m32csim-run]
+bsp          = m32csim
+arch         = m32c
 tester       = %{_rtscripts}/run.cfg
-arch         = m32c
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/m32csim.ini
===================================================================
--- tester/rtems/testing/bsps/m32csim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/m32csim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [m32csim]
+bsp            = m32csim
+arch           = m32c
 tester         = %{_rtscripts}/gdb.cfg
-arch           = m32c
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/mcf5235.ini
===================================================================
--- tester/rtems/testing/bsps/mcf5235.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/mcf5235.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [mcf5235]
+bsp      = mcf5235
+arch     = m68k
 jobs     = 1
 tester   = %{_rtscripts}/gdb.cfg
-arch     = m68k
 requires = bsp_tty_dev, gdb_script
Index: tester/rtems/testing/bsps/pc.ini
===================================================================
--- tester/rtems/testing/bsps/pc.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/pc.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -30,7 +30,8 @@
 
 [pc]
+bsp           = pc686
+arch          = i386
 jobs          = 1
 tester        = %{_rtscripts}/tftp.cfg
-arch          = i386
 test_restarts = 3
 requires      = bsp_tty_dev, target_on_command, target_off_command, target_reset_command
Index: tester/rtems/testing/bsps/psim-run.ini
===================================================================
--- tester/rtems/testing/bsps/psim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/psim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -34,7 +34,8 @@
 # Warning: This is not working cleanly on MacOS. I am not sure why. The gdb version does work.
 #
-[psim]
+[psim-run]
+bsp          = psim
+arch         = powerpc
 tester       = %{_rtscripts}/run.cfg
-arch         = powerpc
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -f %{_rtscripts}/bsps/psim-device-tree
Index: tester/rtems/testing/bsps/psim.ini
===================================================================
--- tester/rtems/testing/bsps/psim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/psim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [psim]
+bsp            = psim
+arch           = powerpc
 tester         = %{_rtscripts}/gdb.cfg
-arch           = powerpc
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim -f %{_rtscripts}/bsps/psim-device-tree
Index: tester/rtems/testing/bsps/realview_pbx_a9_qemu.ini
===================================================================
--- tester/rtems/testing/bsps/realview_pbx_a9_qemu.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/realview_pbx_a9_qemu.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,5 +33,6 @@
 #
 [realview_pbx_a9_qemu]
+bsp           = realview_pbx_a9_qemu
+arch          = arm
 tester        = %{_rtscripts}/qemu.cfg
-arch          = arm
 bsp_qemu_opts = %{qemu_opts_base} %{qemu_opts_no_net} -M realview-pbx-a9 -m 256M
Index: tester/rtems/testing/bsps/simsh1-run.ini
===================================================================
--- tester/rtems/testing/bsps/simsh1-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/simsh1-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The simsh1 BSP
 #
-[simsh1]
+[simsh1-run]
+bsp          = simsh1
+arch         = sh
 tester       = %{_rtscripts}/run.cfg
-arch         = sh
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/simsh1.ini
===================================================================
--- tester/rtems/testing/bsps/simsh1.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/simsh1.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [simsh1]
+bsp            = simsh1
+arch           = sh
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sh
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/simsh2-run.ini
===================================================================
--- tester/rtems/testing/bsps/simsh2-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/simsh2-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The simsh2 BSP
 #
-[simsh2]
+[simsh2-run]
+bsp          = simsh2
+arch         = sh
 tester       = %{_rtscripts}/run.cfg
-arch         = sh
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/simsh2.ini
===================================================================
--- tester/rtems/testing/bsps/simsh2.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/simsh2.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [simsh2]
+bsp            = simsh2
+arch           = sh
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sh
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/simsh2e-run.ini
===================================================================
--- tester/rtems/testing/bsps/simsh2e-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/simsh2e-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The simsh2e BSP
 #
-[simsh2e]
+[simsh2e-run]
+bsp          = simsh2e
+arch         = sh
 tester       = %{_rtscripts}/run.cfg
-arch         = sh
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/simsh2e.ini
===================================================================
--- tester/rtems/testing/bsps/simsh2e.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/simsh2e.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [simsh2e]
+bsp            = simsh2e
+arch           = sh
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sh
 gdb_script     = simsh2e_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/simsh4-run.ini
===================================================================
--- tester/rtems/testing/bsps/simsh4-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/simsh4-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The simsh4 BSP
 #
-[simsh4]
+[simsh4-run]
+bsp          = simsh4
+arch         = sh
 tester       = %{_rtscripts}/run.cfg
-arch         = sh
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/simsh4.ini
===================================================================
--- tester/rtems/testing/bsps/simsh4.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/simsh4.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [simsh4]
+bsp            = simsh4
+arch           = sh
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sh
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/sis-run.ini
===================================================================
--- tester/rtems/testing/bsps/sis-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/sis-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The SIS BSP
 #
-[sis]
+[sis-run]
+bsp          = sis
+arch         = sparc
 tester       = %{_rtscripts}/run.cfg
-arch         = sparc
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/sis.ini
===================================================================
--- tester/rtems/testing/bsps/sis.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/sis.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [sis]
+bsp            = sis
+arch           = sparc
 tester         = %{_rtscripts}/gdb.cfg
-arch           = sparc
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim -a -nouartrx
Index: tester/rtems/testing/bsps/v850e1sim-run.ini
===================================================================
--- tester/rtems/testing/bsps/v850e1sim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850e1sim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The v850e1sim BSP
 #
-[v850e1sim]
+[v850e1sim-run]
+bsp          = v850e1sim
+arch         = v850
 tester       = %{_rtscripts}/run.cfg
-arch         = v850
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/v850e1sim.ini
===================================================================
--- tester/rtems/testing/bsps/v850e1sim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850e1sim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [v850e1sim]
+bsp            = v850e1sim
+arch           = v850
 tester         = %{_rtscripts}/gdb.cfg
-arch           = v850
 gdb_script     = gdb_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/v850e2sim-run.ini
===================================================================
--- tester/rtems/testing/bsps/v850e2sim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850e2sim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The v850e2sim BSP
 #
-[v850e2sim]
+[v850e2sim-run]
+bsp          = v850e2sim
+arch         = v850
 tester       = %{_rtscripts}/run.cfg
-arch         = v850
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/v850e2sim.ini
===================================================================
--- tester/rtems/testing/bsps/v850e2sim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850e2sim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [v850e2sim]
+bsp            = v850e2sim
+arch           = v850
 tester         = %{_rtscripts}/gdb.cfg
-arch           = v850
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/v850e2v3sim-run.ini
===================================================================
--- tester/rtems/testing/bsps/v850e2v3sim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850e2v3sim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The v850e2v3sim BSP
 #
-[v850e2v3sim]
+[v850e2v3sim-run]
+bsp          = v850e2v3sim
+arch         = v850
 tester       = %{_rtscripts}/run.cfg
-arch         = v850
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/v850e2v3sim.ini
===================================================================
--- tester/rtems/testing/bsps/v850e2v3sim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850e2v3sim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [v850e2v3sim]
+bsp            = v850e2v3sim
+arch           = v850
 tester         = %{_rtscripts}/gdb.cfg
-arch           = v850
 gdb_script     = v850e2v3sim_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/v850esim-run.ini
===================================================================
--- tester/rtems/testing/bsps/v850esim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850esim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The v850esim BSP
 #
-[v850esim]
+[v850esim-run]
+bsp          = v850esim
+arch         = v850
 tester       = %{_rtscripts}/run.cfg
-arch         = v850
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/v850esim.ini
===================================================================
--- tester/rtems/testing/bsps/v850esim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850esim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [v850esim]
+bsp            = v850esim
+arch           = v850
 tester         = %{_rtscripts}/gdb.cfg
-arch           = v850
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/v850essim-run.ini
===================================================================
--- tester/rtems/testing/bsps/v850essim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850essim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The v850essim BSP
 #
-[v850essim]
+[v850essim-run]
+bsp          = v850essim
+arch         = v850
 tester       = %{_rtscripts}/run.cfg
-arch         = v850
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/v850essim.ini
===================================================================
--- tester/rtems/testing/bsps/v850essim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850essim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,6 +33,7 @@
 #
 [v850essim]
+bsp            = v850essim
+arch           = v850
 tester         = %{_rtscripts}/gdb.cfg
-arch           = v850
 gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
Index: tester/rtems/testing/bsps/v850sim-run.ini
===================================================================
--- tester/rtems/testing/bsps/v850sim-run.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850sim-run.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The v850sim BSP
 #
-[v850sim]
+[v850sim-run]
+bsp          = v850sim
+arch         = v850
 tester       = %{_rtscripts}/run.cfg
-arch         = v850
 bsp_run_cmd  = %{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run
 bsp_run_opts = -a -nouartrx
Index: tester/rtems/testing/bsps/v850sim.ini
===================================================================
--- tester/rtems/testing/bsps/v850sim.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/v850sim.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,7 +33,8 @@
 #
 [v850sim]
-tester        = %{_rtscripts}/gdb.cfg
-arch          = v850
-gdb_script    = bsp_gdb_script
+bsp            = v850sim
+arch           = v850
+tester         = %{_rtscripts}/gdb.cfg
+gdb_script     = bsp_gdb_script
 bsp_gdb_script = target sim
                  load
Index: tester/rtems/testing/bsps/xilinx_zynq_a9_qemu.ini
===================================================================
--- tester/rtems/testing/bsps/xilinx_zynq_a9_qemu.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/xilinx_zynq_a9_qemu.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -33,5 +33,6 @@
 #
 [xilinx_zynq_a9_qemu]
+bsp           = xilinx_zynq_a9_qemu
+arch          = arm
 tester        = %{_rtscripts}/qemu.cfg
-arch          = arm
 bsp_qemu_opts = %{qemu_opts_base} %{qemu_opts_no_net} -M xilinx-zynq-a9 -m 256M
Index: tester/rtems/testing/bsps/xilinx_zynq_a9_qemu_smp.ini
===================================================================
--- tester/rtems/testing/bsps/xilinx_zynq_a9_qemu_smp.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/xilinx_zynq_a9_qemu_smp.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,7 +32,8 @@
 # The Xilinx Zynq A9 QEMU BSP
 #
-[xilinx_zynq_a9_qemu]
+[xilinx_zynq_a9_qemu_smp]
+bsp           = xilinx_zynq_a9_qemu
+arch          = arm
 jobs          = half
 tester        = %{_rtscripts}/qemu.cfg
-arch          = arm
 bsp_qemu_opts = %{qemu_opts_base} %{qemu_opts_no_net} -M xilinx-zynq-a9 -m 256M -smp cpus=2
Index: tester/rtems/testing/bsps/xilinx_zynq_zc706.ini
===================================================================
--- tester/rtems/testing/bsps/xilinx_zynq_zc706.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/xilinx_zynq_zc706.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -34,7 +34,8 @@
 #
 [xilinx_zynq_zc706]
+bsp        = xilinx_zynq_zc706
+arch       = arm
 jobs       = 1
 tester     = %{_rtscripts}/gdb.cfg
-arch       = arm
 gdb_script = bsp_gdb_script
 requires   = bsp_tty_dev, bsp_gdb_script
Index: tester/rtems/testing/bsps/xilinx_zynq_zc706_qemu.ini
===================================================================
--- tester/rtems/testing/bsps/xilinx_zynq_zc706_qemu.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/xilinx_zynq_zc706_qemu.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -32,6 +32,7 @@
 # The Xilinx Zync ZC706 running QEMU
 #
-[xilinx_zynq_zc706]
+[xilinx_zynq_zc706_qemu]
+bsp           = xilinx_zynq_zc706
+arch          = arm
 tester        = %{_rtscripts}/qemu.cfg
-arch          = arm
 bsp_qemu_opts = %{qemu_opts_base} %{qemu_opts_no_net} -M xilinx-zynq-a9 -m 1024M
Index: tester/rtems/testing/bsps/xilinx_zynq_zedboard.ini
===================================================================
--- tester/rtems/testing/bsps/xilinx_zynq_zedboard.ini	(revision a2484717379722425de71d74595434ede9d9c6d4)
+++ tester/rtems/testing/bsps/xilinx_zynq_zedboard.ini	(revision 41d0c343eefda25426e0123d3353b7cfafd7ddf7)
@@ -34,7 +34,8 @@
 #
 [xilinx_zynq_zedboard]
+bsp                = xilinx_zynq_zedboard
+arch               = arm
 jobs               = 1
 tester             = %{_rtscripts}/tftp.cfg
-arch               = arm
 test_restarts      = 3
 target_reset_regex = ^No ethernet found.*|^BOOTP broadcast 6.*|^.+complete\.+ TIMEOUT.*
